--
-- Initialization data for the Sync4j Exchange Connector module
--
-- @version $Id: create_schema.sql,v 1.4 2005/10/05 09:40:21 luigiafassina Exp $
--

--
--  workaround to delete mysql FK 
--

create table sync4j_last_sync
(
  principal   integer            NOT NULL,
  sync_source varchar(128)       BINARY NOT NULL,
  last_anchor_server varchar(20) BINARY,
  last_anchor_client varchar(20) BINARY,
  start_sync  datetime,
  end_sync    datetime,
  
  constraint pk_sync4j_last_sync primary key (principal, sync_source)
);

create table sync4j_client_mapping
(
  principal   integer      NOT NULL,
  sync_source varchar(100) BINARY NOT NULL,
  luid        varchar(120) BINARY NOT NULL,
  guid        varchar(120) BINARY NOT NULL,
  
  constraint pk_clientmapping primary key (principal, sync_source, luid, guid)
);

create table sync4j_principal
(
  username    varchar(32 ) BINARY NOT NULL,
  device      varchar(128) BINARY NOT NULL,
  id          integer      NOT NULL,
  
  constraint pk_sync4j_principal primary key (id)
);

--
-- Source create schema
--
create table ss_exch_item_status (
    id            varchar(200) BINARY,
    uri           varchar(128) BINARY,
    principal     varchar(10 ) BINARY,
    last_modified timestamp
)